uuid: e93b1012-8f57-4b80-89d5-06983e4da419
langcode: en
status: true
dependencies: {  }
id: upgrade_user_picture_field
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_6
label: 'User picture field configuration'
source:
  plugin: md_empty
  constants:
    entity_type: user
    type: image
    name: user_picture
    cardinality: 1
  source_module: user
process:
  entity_type:
    -
      plugin: get
      source: constants/entity_type
  field_name:
    -
      plugin: get
      source: constants/name
  type:
    -
      plugin: get
      source: constants/type
  cardinality:
    -
      plugin: get
      source: constants/cardinality
destination:
  plugin: 'entity:field_storage_config'
  dependencies:
    module:
      - image
migration_dependencies:
  required: {  }
  optional: {  }
